#!/bin/bash

# http://dev.openttdcoop.org/projects/swisstowns
# http://hg.openttdcoop.org/nml/raw-file/tip/docs/reference.html#block-town_names

GRFID="NGLT"
FILENAME="latin_towns"

. lib/hg.version.sh

NML="$FILENAME.nml"

# fill custom-tags.txt for lang files
cat >custom_tags.txt <<EOF
VERSION :$VERSION
DATE    :$VERDATE
GRFID   :`echo "$GRFID" | sed -e "s/\\\\\\//" | tr '\\\\' ' '`
FILENAME:$FILENAME.grf
EOF

cat >$NML <<EOF
grf {
  grfid: "$GRFID";
  name : string(STR_GRF_NAME);
  desc : string(STR_GRF_DESCRIPTION);
  url : string(STR_GRF_URL);
  version: $REVISION;
  min_compatible_version: 0;
}
EOF

cat >>$NML <<EOF
town_names(big) {
  styles: string(STR_GAME_OPTIONS_TOWN_NAMES_LATIN);
  {
`awk -F'\t' '{print "    text(\""$1"\", 1),"}' data/cities-latin.txt`
  }
}
EOF

rm $FILENAME.grf 2>/dev/null

nmlc $NML

if [ -f $FILENAME.grf ]; then
  echo "MD5SUM :`md5sum $FILENAME.grf | cut -f1 -d' '`" >> custom_tags.txt
  . lib/sed.custom_tags.sh
  . lib/zip.sh
else
  echo "building failed!"
  exit 1
fi

exit

#################################################
# Snippets / Notes
#################################################

